Bug 978731 - Review Request: rpm-compare-req - tool for comparing dependencies of an RPM against a set of repositories
Review Request: rpm-compare-req - tool for comparing dependencies of an RPM a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Kuska
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 02:17 EDT by Matej Stuchlik
Modified: 2016-01-31 21:14 EST (History)
6 users (show)

See Also:
Fixed In Version: rpm-compare-req-0.1.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 23:42:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rkuska: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matej Stuchlik 2013-06-27 02:17:22 EDT
Spec URL: http://mstuchli.fedorapeople.org/rpm-compare-req.spec
SRPM URL: http://mstuchli.fedorapeople.org/rpm-compare-req-0.1.0-1.fc18.src.rpm
Description: rpm-compare-req is a tool for comparing dependencies of an RPM against a set of repositories.
Fedora Account System Username: mstuchli
Comment 1 Christopher Meng 2013-06-27 02:52:42 EDT
Where is the %changelog section?
Comment 2 Christopher Meng 2013-06-27 02:53:45 EDT
And summary is too log, please change it.
Comment 3 Matthias Runge 2013-06-27 03:14:45 EDT
(In reply to Christopher Meng from comment #2)
> And summary is too log, please change it.

Interesting, I can not find any reference to "is too log".
How do you measure it and where is the limit?

https://fedoraproject.org/wiki/Packaging:Guidelines#summary
Comment 4 Matej Stuchlik 2013-06-27 04:55:37 EDT
Whops! Changelog added and summary shortened.

Spec URL: http://mstuchli.fedorapeople.org/rpm-compare-req.spec
SRPM URL: http://mstuchli.fedorapeople.org/rpm-compare-req-0.1.0-1.fc18.src.rpm
Comment 5 Robert Kuska 2013-06-27 05:02:22 EDT
(In reply to Christopher Meng from comment #1)
> Where is the %changelog section?

Are you willing to continue in review or this is just drop-by comment?
Because I'd like to assign this one to myself.
Comment 6 Matej Stuchlik 2013-06-27 05:08:20 EDT
(In reply to Matthias Runge from comment #3)
> (In reply to Christopher Meng from comment #2)
> > And summary is too log, please change it.
> 
> Interesting, I can not find any reference to "is too log".
> How do you measure it and where is the limit?
> 
> https://fedoraproject.org/wiki/Packaging:Guidelines#summary

Now that I look at it rpmlint does complain about the length of the summary.
Comment 7 Michael Schwendt 2013-06-27 09:29:28 EDT
also https://fedoraproject.org/wiki/Examples_of_good_package_summaries
[this is a drop-by comment with no look at the spec file ;)]
Comment 8 Robert Kuska 2013-07-02 02:27:17 EDT
(In reply to Robert Kuska from comment #5)
> (In reply to Christopher Meng from comment #1)
> > Where is the %changelog section?
> 
> Are you willing to continue in review or this is just drop-by comment?
> Because I'd like to assign this one to myself.

So I am taking this for a review.
Comment 9 Robert Kuska 2013-07-02 02:53:11 EDT
 Rpmlint                                                                         
-------                                                                         
Checking: rpm-compare-req-0.1.0-1.fc18.x86_64.rpm                               
rpm-compare-req.x86_64: E: description-line-too-long C rpm-compare-req is a tool for comparing dependencies of an 
rpm-compare-req.x86_64: E: no-binary                                           
rpm-compare-req.x86_64: W: no-manual-page-for-binary rpm-compare-req            
1 packages and 0 specfiles checked; 2 errors, 1 warnings. 


* fix the line length, should be =< 80
* add BuildArch: noarch
Comment 11 Robert Kuska 2013-07-04 04:16:11 EDT
Looks good now. Approved.
Comment 12 Matej Stuchlik 2013-07-09 02:33:24 EDT
New Package SCM Request
=======================
Package Name: rpm-compare-req
Short Description: Tool for comparing RPM dependencies against a set of repositories
Owners: mstuchli
Branches: f19
InitialCC:
Comment 13 Gwyn Ciesla 2013-07-09 07:02:53 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2013-07-15 06:13:04 EDT
rpm-compare-req-0.1.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rpm-compare-req-0.1.0-2.fc19
Comment 15 Fedora Update System 2013-07-15 21:39:41 EDT
rpm-compare-req-0.1.0-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 16 Christopher Meng 2013-07-15 22:14:18 EDT
(In reply to Robert Kuska from comment #5)
> Are you willing to continue in review or this is just drop-by comment?
> Because I'd like to assign this one to myself.

Ah...Sorry a bit late now...

I will take a review if I change its flag, sorry for not making it clear.
Comment 17 Fedora Update System 2013-07-23 23:42:37 EDT
rpm-compare-req-0.1.0-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.